Subject: re. Blacksmith Video

From: [email-masked]
Date: Tue, 21 May 96 13:02:17 EST

It seems that Jim Walker has dropped of the face of the planet.  In 
     early March my wife sent Jim $15.50 + 3.75 postage and handling for 
     the video.  So far, no tape and no success in reaching him.  I'm sure 
     he's just busy and will get around to sending the tape when he gets a 
     chance.  I'm a little bummed out though since the tape was a birthday 
     gift for me in April and all I have to show for it so far is an IOU 
     from my wife.
     
     I have a different e-mail address for him than you, George, plus his 
     mailing address.  Good luck in reaching him.
     
     [email-masked]
     
     Institute of Metal Repair
     1558 S. Redwood
     Escondido, CA 92025